Apport crash detection/reporting

rejects crash report for unavailable alternative dependency

Reported by Luka Renko on 2009-03-11
10
Affects Status Importance Assigned to Milestone
Apport
Low
Martin Pitt

Bug Description

Kubuntu Jaunty, up-to-date. Apport was triggered due to kdebluetooth4 crash and it has properly submitted bug 341264.

Bug was rejected (marked Invalid) due to following error:

phonon-backend-gstreamer: installed version None, latest version: 4:4.3.1-0ubuntu1

I have no (and never had) phonon-backend-gstreamer package installed. Kubuntu used phonon-backend-xine by default.

When discussing with Martin Pitt, it may be due how apport interprets depends (it select first/prefered Depends where there are multiple options). This is IRC log of discussion:

[20:34:15] <Lure> pitti: can you explain why such apport crashes are rejected - bug 341264
[20:34:16] <ubottu> Bug 341264 on http://launchpad.net/bugs/341264 is private
[20:59:14] <pitti> Lure: because they have an absolutely useless stack trace and outdated packages
[20:59:29] <pitti> Lure: in this particular case, the package isn't outdated, but rather nonexisting, hmm
[20:59:46] <Lure> pitti: my system is up to date - and I do not hav gstreamer (Kubuntu)
[21:00:29] <pitti> Lure: well, for this particular bug invalidating is probably alright, since there isn't much to be learned from it
[21:00:54] <pitti> Lure: but in general, this "None" thing is interesting; can you please file an apport bug and give me the output of "dpkg -s phonon-backend-gstreamer"?
[21:00:59] <Lure> pitti: I am more concerned about that other reports might be lost
[21:01:17] <Lure> pitti: sure
[21:01:41] <Lure> pitti: as I said no phonon-backend-gstreamer installed here, so apport message is correct ;-)
[21:01:53] <pitti> Lure: this only happens on "useless stacktrace" && "outdated packages", so I don't think valuable bugs can get logs
[21:01:59] <pitti> s/logs$/lost/, duh
[21:02:21] <pitti> Lure: hm, sounds like an error with parsing alternative dependencies then
[21:02:26] <Lure> pitti: ok, so should I still submit apport bug?
[21:02:31] <pitti> Lure: it's purged?
[21:02:31] <pitti> Lure: yes, please
[21:02:43] <Lure> pitti: will check
[21:02:50] <pitti> Lure: thanks
[21:02:56] -*- Lure is not sure as I got some gnome depens installed by accident
[21:03:07] <pitti> Lure: it's the preferred alternative of "phonon"
[21:03:11] <pitti> Depends: phonon-backend-gstreamer | phonon-backend
[21:03:17] <pitti> I think that's what's confusing apport
[21:03:24] <Lure> pitti: yes, that might be it

Martin Pitt (pitti) on 2009-03-23
Changed in apport:
importance: Undecided → Medium
status: New → Triaged
Jan Claeys (janc) wrote :

I think in my case (see bug #355481) the problem is that rarian-compat "replaces", "conflicts" & "provides" the scrollkeeper package, while synaptic has a dependency on scrollkeeper, and ubuntu-desktop has a dependency on rarian-compat.

Martin Pitt (pitti) on 2009-04-05
Changed in apport:
assignee: nobody → pitti
status: Triaged → In Progress
Martin Pitt (pitti) on 2009-04-05
summary: - crash report rejected due to wrong dependancy assumptions
+ rejects crash report for unavailable alternative dependency
Martin Pitt (pitti) on 2009-06-02
Changed in apport:
importance: Medium → Low
status: In Progress → Triaged
Martin Pitt (pitti) wrote :

This was fixed as a side effect of porting to the python-apt 0.7.9 API, so this is fixed in karmic and lucid.

Changed in apport:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers